- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_pool_t

# mongoc_client_pool_set_error_api()

## Synopsis

    bool
    mongoc_client_pool_set_error_api (mongoc_client_pool_t *client,
                                      int32_t version);

Configure how the C Driver reports errors. See Setting the Error API Version.

## Parameters

- `pool`: A mongoc_client_pool_t.
- `version`: The version of the error API, either `MONGOC_ERROR_API_VERSION_LEGACY` or `MONGOC_ERROR_API_VERSION_2`.

## Returns

Returns true if the error API version was set, or logs an error message and returns false if `version` is invalid.

## Thread Safety

This function can only be called once on a pool, and must be called before the first call to mongoc_client_pool_pop().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.